/******************************************************************************
版权所有：	
文件名称：	sys_api.h
文件版本：	01.01
创建作者：	xxxxxx
创建日期：	2022-09
功能说明：	系统接口
其它说明：	
修改记录：
*******************************************************************************/
#ifndef _SYS_API_H
#define _SYS_API_H

/*********************** 常量定义 **********************/
#define UBOOT_VER_BASE              (1*256+9)       // 基础的引号版本号 1:主版本号 09：次版本号 
#define KERNEL_VER_BASE             (1*256+21)       // 基础的内核版本号 1:主版本号 21：次版本号    
#define ROOT_FILE_SYS_VER_BASE      (1*256+11)       // 基础的文件系统版本号 1:主版本号 11：次版本号 







/*********************** 变量声明 **********************/
typedef struct 
{
    u8 majorVer;    // 主版本号
    u8 minorVer;    // 次版本号
}VERSION;








/********************* 函数对外声明 ********************/
extern VERSION *GetUBootVer(void);  // 获取U-Boot版本号
extern VERSION *GetKernelVer(void); // 获取内核版本号
extern VERSION *GetRootFileSysVer(void);  // 获取文件系统版本号
extern int CheckSysProgramVer(void);   // 检查系统程序版本

extern char *get_par_nane(WORD addr); // 获取遥参描述
extern int set_par_value(WORD addr,float value);  // 设置遥参值
extern int get_par_value_str(WORD addr,char *buf,const int buf_len); // 获取遥参值(值为字符串形式) 
extern int get_plc_yx_nane(WORD addr,char *buf,const int buf_len); // 获取遥信描述
extern int get_plc_yx_val(WORD addr); // 获取遥信值
extern int set_plc_yk(WORD addr,int cmd); // 遥控开出
extern char *get_led_name(int slot,int addr); // 获取LED描述
extern int get_led_value(int slot,int addr); // 获取LED状态值

int rt_untar_a(char *filename);
int rt_gunzip(char *filename);
int rt_bunzip2(char *filename);
#endif
